Subject: Re: bug#14359: read-from-minibuffer to respect standard-input

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 09 Jun 2022 16:11:28 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Glenn Morris <[email-masked]> writes:
>
>> read-from-minibuffer doesn't seem to respect standard-input != t.
>> It's probably not supposed to, but it might be nice if it did, so
>> that batch tests could be written for read-number etc.
>> (It seems that it does read from stdin if noninteractive.)
>
> I'm probably missing something, but wouldn't you just stub out
> read-from-minibuffer if you want to test read-number from ert?

No response in a month, so I'm going to go ahead and guess that my
suggestion would fit the purpose, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no